<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_271) on Thu Apr 01 09:30:38 CEST 2021 -->
<title>ch.hevs.isi.field</title>
<meta name="date" content="2021-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ch.hevs.isi.field";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/database/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../ch/hevs/isi/smart/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;ch.hevs.isi.field</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a></td>
<td class="colLast">
<div class="block">The instances of this class are the boolean modbus register</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></td>
<td class="colLast">
<div class="block">class to link Modbus object (Float/DatapointRegister) with <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><code>DataPoint</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></td>
<td class="colLast">
<div class="block">The instances of this class are the float modbus register</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a></td>
<td class="colLast">
<div class="block">
     Class to create a modbus connection over TCP
 </div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../ch/hevs/isi/field/PollTask.html" title="class in ch.hevs.isi.field">PollTask</a></td>
<td class="colLast">
<div class="block">This class extends TimerTask and is instanced each period of the pollTimer in <a href="../../../../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field"><code>FieldConnector</code></a></div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/database/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../ch/hevs/isi/smart/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
